commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Robert Burrell Donkin <robertburrelldon...@blueyonder.co.uk>
Subject Re: [resources] Supported Build Tools
Date Sun, 17 May 2009 19:45:28 GMT
Niall Pemberton wrote:
> On Sun, May 17, 2009 at 10:58 AM, Dave Meikle <loompa@gmail.com> wrote:
>> Hi,
>>
>> As per the previous thread on reactivating Commons Resources [0], I have
>> moved Resources back into Sandbox and made various changes to:
>>
>> * Refresh the License Headers
>> * Added a Maven2 Build
>> * Restructured the folders in-line with the standard maven folder structure
>>
>> Because of the above changes I have broken the existing Ant and Maven1
>> builds. Since we are at a stage of reactivation I was wondering what builds
>> should we be supporting?
>>
>> Do we need both a Maven1 and Maven2 build? Would a Maven2 build suffice on
>> its own? Or do we need at least Maven2 + Ant?

oops - just deleted the maven1 build (forgot i'd had this filter setup)

if anyone wants it back, please jump in and i'll revert that patch

> Its really down to what those that do the work want to maintain. The
> only other factor is what JDK version is resources going to target -
> if its pre-JDK1.5 then there might be a need for an ant build to be
> able to test on that version.

i'd prefer just to maintain a maven 2 if we're looking just to maintain
a JDK1.5+ version.

jdk1.4 is now EOL'd and i don't have any particular need to support 1.4
but i'm happy to target 1.4 if there's a need.

- robert


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message